Lines Matching +full:ip +full:- +full:block
2 # SPDX-License-Identifier: GPL-2.0
8 # ns1 ---- ns3 ----- ns4 ---- ns2
38 …ip -net $ns xfrm policy add src $lnet dst $rnet dir out tmpl src $me dst $remote proto esp mode tu…
40 …ip -net $ns xfrm policy add src $rnet dst $lnet dir fwd tmpl src $remote dst $me proto esp mode tu…
52 …ip -net $ns xfrm state add src $remote dst $me proto esp spi $spi_in enc aes $KEY_AES auth sha1 …
53 …ip -net $ns xfrm state add src $me dst $remote proto esp spi $spi_out enc aes $KEY_AES auth sha1 …
60 # re-built.
75 ip -net $ns xfrm policy add src 10.1.0.0/24 dst 10.0.0.0/24 dir fwd priority 200 action block
78 ip -net $ns xfrm policy add src 10.2.0.0/24 dst 10.0.0.0/24 dir fwd priority 200 action block
81 ip -net $ns xfrm policy add src 10.2.0.0/23 dst 10.0.1.0/24 dir fwd priority 200 action block
86 # also has to be merged too, including source-sorted subtrees.
97 # the sub-tree. As no duplicates are allowed, policies in
107 ip -net $ns xfrm policy add src 10.1.0.0/24 dst 10.0.0.0/23 dir fwd priority 200 action block
112 …ip -net $ns xfrm policy add src 10.253.1.$((RANDOM%255))/$p dst 10.254.1.$((RANDOM%255))/$p dir fw…
122 ip -net $ns xfrm policy get src $lnet dst $rnet dir out > /dev/null
123 if [ $? -ne 0 ] && [ $policy_checks_ok -eq 1 ] ;then
125 echo "FAIL: ip -net $ns xfrm policy get src $lnet dst $rnet dir out"
129 ip -net $ns xfrm policy get src $rnet dst $lnet dir fwd > /dev/null
130 if [ $? -ne 0 ] && [ $policy_checks_ok -eq 1 ] ;then
132 echo "FAIL: ip -net $ns xfrm policy get src $rnet dst $lnet dir fwd"
145 ip -net $ns xfrm policy add dst $plain dir out priority 10 action allow
148 …ip -net $ns xfrm policy add dst $encryptip dir out tmpl src $me dst $remote proto esp mode tunnel …
157 echo netns exec $ns ip xfrm policy add src 0.0.0.0/0 dst 10.$i.99.0/30 dir out action block
158 echo netns exec $ns ip xfrm policy add src 10.$i.99.0/30 dst 0.0.0.0/0 dir out action block
160 … echo netns exec $ns ip xfrm policy add src 10.$i.1.0/30 dst 10.$i.$j.0/30 dir out action block
162 … echo netns exec $ns ip xfrm policy add src 10.$i.1.0/29 dst 10.$i.$j.0/29 dir out action block
164 … echo netns exec $ns ip xfrm policy add src 10.$i.1.0/24 dst 10.$i.$j.0/24 dir out action block
165 … echo netns exec $ns ip xfrm policy add src 10.$i.$j.0/24 dst 10.$i.1.0/24 dir fwd action block
167 done | ip -batch /dev/stdin
175 … echo netns exec $ns ip xfrm policy add src dead:$i::/64 dst dead:$i:$j::/64 dir out action block
176 … echo netns exec $ns ip xfrm policy add src dead:$i:$j::/64 dst dead:$i::/24 dir fwd action block
178 done | ip -batch /dev/stdin
185 ip netns exec $ns iptables-save -c |grep policy | ( read c rest
186 ip netns exec $ns iptables -Z
200 # 0: iptables -m policy rule count == 0
201 # 1: iptables -m policy rule count != 0
203 ip=$2
206 ip netns exec ${ns[1]} ping -q -c 1 10.0.2.$ip > /dev/null
209 if [ $? -ne $rval ] ; then
213 if [ $? -ne $rval ] ; then
217 ip netns exec ${ns[2]} ping -q -c 1 10.0.1.$ip > /dev/null
220 if [ $? -ne $rval ] ; then
224 if [ $? -ne $rval ] ; then
238 if [ $? -ne 0 ]; then
247 if [ $? -ne 0 ]; then
256 if [ $? -ne 0 ]; then
272 …ip -net ${ns[1]} xfrm policy update src e000:0001::0000 dst ff01::0014:0000:0001 dir in tmpl src :…
273 ip -net ${ns[1]} xfrm policy set hthresh6 0 28 || break
275 …ip -net ${ns[1]} xfrm policy update src e000:0001::0000 dst ff01::01 dir in tmpl src :: dst :: pro…
276 ip -net ${ns[1]} xfrm policy set hthresh6 0 28 || break
279 if [ $i -ne 10 ] ;then
289 # insert non-overlapping policies in a random order and check that
297 ip -net $ns xfrm policy flush
298 for j in $(seq 0 16 255 | sort -R); do
299 ip -net $ns xfrm policy add dst $j.0.0.0/24 dir out priority 10 action allow
302 if ! ip -net $ns xfrm policy get dst $j.0.0.0/24 dir out > /dev/null; then
310 ip -net $ns xfrm policy flush
311 for j in $(seq 0 16 255 | sort -R); do
313 ip -net $ns xfrm policy add dst $addr dir out priority 10 action allow
317 if ! ip -net $ns xfrm policy get dst $addr dir out > /dev/null; then
324 ip -net $ns xfrm policy flush
331 if [ "$(id -u)" -ne 0 ];then
336 ip -Version 2>/dev/null >/dev/null
337 if [ $? -ne 0 ];then
338 echo "SKIP: Could not run test without the ip tool"
343 iptables --version 2>/dev/null >/dev/null
344 if [ $? -ne 0 ];then
356 ip link add $DEV netns ${ns[1]} type veth peer name eth1 netns ${ns[3]}
357 ip link add $DEV netns ${ns[2]} type veth peer name eth1 netns ${ns[4]}
359 ip link add $DEV netns ${ns[3]} type veth peer name veth0 netns ${ns[4]}
363 ip -net ${ns[$i]} link set $DEV up
364 ip -net ${ns[$i]} addr add 10.0.$i.2/24 dev $DEV
365 ip -net ${ns[$i]} addr add dead:$i::2/64 dev $DEV
367 ip -net ${ns[$i]} addr add 10.0.$i.253 dev $DEV
368 ip -net ${ns[$i]} addr add 10.0.$i.254 dev $DEV
369 ip -net ${ns[$i]} addr add dead:$i::fd dev $DEV
370 ip -net ${ns[$i]} addr add dead:$i::fe dev $DEV
374 ip -net ${ns[$i]} link set eth1 up
375 ip -net ${ns[$i]} link set veth0 up
378 ip -net ${ns[1]} route add default via 10.0.1.1
379 ip -net ${ns[2]} route add default via 10.0.2.1
381 ip -net ${ns[3]} addr add 10.0.1.1/24 dev eth1
382 ip -net ${ns[3]} addr add 10.0.3.1/24 dev veth0
383 ip -net ${ns[3]} addr add 2001:1::1/64 dev eth1
384 ip -net ${ns[3]} addr add 2001:3::1/64 dev veth0
386 ip -net ${ns[3]} route add default via 10.0.3.10
388 ip -net ${ns[4]} addr add 10.0.2.1/24 dev eth1
389 ip -net ${ns[4]} addr add 10.0.3.10/24 dev veth0
390 ip -net ${ns[4]} addr add 2001:2::1/64 dev eth1
391 ip -net ${ns[4]} addr add 2001:3::10/64 dev veth0
392 ip -net ${ns[4]} route add default via 10.0.3.1
396 ip netns exec ${ns[$i]} sysctl net.ipv$j.conf.eth1.forwarding=1 > /dev/null
397 ip netns exec ${ns[$i]} sysctl net.ipv$j.conf.veth0.forwarding=1 > /dev/null
402 ip netns exec ${ns[3]} iptables -p icmp -A FORWARD -m policy --dir out --pol ipsec
403 ip netns exec ${ns[4]} iptables -p icmp -A FORWARD -m policy --dir out --pol ipsec
404 if [ $? -ne 0 ];then
426 if [ $? -ne 0 ]; then
442 if [ $? -ne 0 ]; then
446 # insert block policies with adjacent/overlapping netmasks
449 check_exceptions "exceptions and block policies"
450 if [ $? -ne 0 ]; then
455 ip -net $n xfrm policy set hthresh4 28 24 hthresh6 126 125
459 check_exceptions "exceptions and block policies after hresh changes"
462 ip -net ${ns[3]} xfrm policy flush
468 ip -net ${ns[3]} xfrm policy set hthresh4 16 16
471 check_exceptions "exceptions and block policies after hthresh change in ns3"
473 # restore original hthresh settings -- move policies back to tables
475 ip -net $n xfrm policy set hthresh4 32 32 hthresh6 128 128
478 check_exceptions "exceptions and block policies after htresh change to normal"